Feature: HomePage

  Background:
    When Close the popup
    And  I close the messenger popUp


  @web
  Scenario: User should be redirected to About Us
    When I Click on About Us button on Home page
    And Close the popup
    Then User should be redirected to "About us" page


  @web
  Scenario: User should be redirected to TimeLine pages
    When I Click On Our Timeline Button On home page
    And Close the popup
    Then User should be redirected to "Timeline" page


  @web
  Scenario: User should be redirected to Contact page
    When I Click On Our contact Button On home page
    Then User should be redirected to "Contact" page
    When I fill contact form with following data :
      | name    | email       | subject           | phone           | message           |
      | testing | abc@123.com | software engineer | 031232131231231 | testing a web app |
    And I press "Send your message"
#  <-------- Bug after click on Send your message button -------->

  @web
  Scenario: User should be redirected to bayanat page
    When I select a "bayanat" feature on home page
    Then I should see the following bayanat on bayan page:
      | Bayanat              |
      | Islahi Bayanaat      |
      | Juma Bayan           |
      | Morning Dars         |
      | Tarbiati Majlis      |
      | Mufti Taqi Usmani    |
      | Special Series       |
      | Reflections of Quran |


  @web
  Scenario: User should be redirected to publication page
    When I select a "publication" feature on home page
    Then I should see the following publication on Publication page:
      | Publication        |
      | Radiance           |
      | Bulletin           |
      | Intellect Magazine |
      | Fahmedeen Magazine |
      | Majalld us Salam   |
      | Articles           |

  @web
  Scenario: User should be redirected to education page
    When I select a "education" feature on home page
    Then I should see the following education projects on Education page:
      | Education          |
      | Jamia Baitussalam  |
      | Markaz-e-Fahmedeen |

  @web
  Scenario: User should be redirected to welfare page
    When I select a "welfare" feature on home page
    Then I should see the following welfare project on Welfare page:
      | Welfare Project   |
      | Ilmofy            |
      | RELIEF FOR BEIRUT |


  @web
  Scenario: User should be able to subscribe 'BAITUSSALAM NEWSLETTER'
    When I enter email "abc@123.com" to subscribe 'BAITUSSALAMS NEWSLETTER' on home page
    Then I should see the success message


