Feature: Add donation

  @web
  Scenario Outline: User should be able to make a donation
    When I select "One Time" payment type
    And I select donation "<cause>" cause in 'Donation now modal' on Home page
    And I select donation "<type>" type in 'Donation now modal' on Home page
    And I Enter Donation "200" amount
    And I press paypal button
    Then User landed on paypal "Log in to PayPal" page

    Examples:
      | cause                      | type          |
      | General                    | SADAQAH       |
      | General                    | ZAKAT         |
      | General                    | ATYAAT        |
      | General                    | AQEEQA        |
      | General                    | WAQF          |
      | General                    | BRANCH_ONLINE |
      | Monthly Scholarship        | ZAKAT         |
      | Construction of Schools    | ATYAAT        |
      | Monthly USD$50 Food Basket | WAQF          |
      | Monthly Scholarship        | SADAQAH       |
      | Monthly Kafalat Program    | WAQF          |
      | Construction of Schools    | ZAKAT         |
      | Construction of Saiban     | WAQF          |

  @web
  Scenario: User should be correctly redirected by clicking on header buttons
    When I press "About Us" title button on home page
    Then I should see tile button is redirected to "About Baitussalam USA"
    When I press "Programs" title button on home page
    Then I should see tile button is redirected to "Projects & Programs"
    When I press "Programs" title button on home page
    Then I should see tile button is redirected to contacts "Quick Connect"

  @web
  Scenario: User should be see to selected programs
    When I hover on program and select the "Monthly Food Basket Distribution Program" program
    Then I should see tile button is redirected to "Monthly Food Basket Distribution Program"
    When I hover on program and select the "Eid-ul-Adha Qurbani (Waqf) Program" program
    Then I should see tile button is redirected to "Eid-ul-Adha Qurbani (Waqf) Program"

  @web
  Scenario: User should be redirected to Baitussalam Pakistan by clicking on Our Partner button
    When I click on "Our Partner" button
    Then User redirected to correct website "https://www.baitussalam.org/"


